Skip to main content
Resource Center/Network Resource/Policy Routing Operations
GETPolicy Routing OperationsSince 3.6.0SynchronousAuth Required

QueryPolicyRouteRuleSetVRouterRef

QueryPolicyRouteRuleSetVRouterRef

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • idlongRequired

      资源ID。

    • vRouterUuidStringRequired

      The vRouter UUID.

    • ruleSetUuidStringRequired

      The UUID of the policy route rule set.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/policy-routes/rulesets/vrouters/refs

/zstack/v1/policy-routes/rulesets/vrouters/refs

Operation ID

QueryPolicyRouteRuleSetVRouterRef

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/policy-routes/rulesets/vrouters/refs' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "id": 1.0, "vRouterUuid": "8715faa19cb03995a864330766fdc77c", "ruleSetUuid": "2e27f9015ad3357996546fd51c2d808e" } ] }

Change History

This API has no change history records yet.

View all change history